module.exports = function(gulp, plugins, globs, project_info, scripts_entry, views_entry, browserSync) {

    var
        path = require('path'),
        release = process.argv.indexOf('--release') !== -1,
        run_sequence = require('run-sequence');

    return function() {
        gulp.watch(globs.views.watch, {}, function(e) {
            gulp.start('views.compile.dynamic');

            // On file added
            if (e.type === 'added') {
                run_sequence('views.inject', 'views.compile.dynamic');
            }

        });

        var siteUrl = project_info.siteUrlDevelopment || 'devel' + path.join(__dirname.replace('/mnt/www', ''), project_info.destinations.base_dir);

        browserSync.init({
            port: globs.ports.static_server,
            proxy: {
                target: siteUrl,
            },
            host: "192.168.2.6"
        });

        gulp.watch([
            path.join(process.cwd(), '../app/', '**/*.tpl'),
            path.join(process.cwd(), '../app/', '**/*.php'),
            path.join(process.cwd(), '../app/', '**/*.phtml'),
            path.join(project_info.destinations.base_dir, '**/*.js'),
        ]).on('change', browserSync.reload);

    };

}
