module.exports = function(gulp, plugins, globs, project_info, scripts_entry, views_entry, browserSync) {

    var release = process.argv.indexOf('--release') !== -1,
        plato = require('plato'),
        glob = require('glob'),
        fs = require('fs-extra');

    return function(done) {
        glob("./app/**/!(bootstrap|vendor)/!(_plugin|plugin).js", null, function(er, files) {
            if (er) {
                console.log(er);
                return;
            }

            plato.inspect(files, './docs/code-report', {
                title: 'Code Analysis Report',
                recursive: true,
                jshint: {
                    options: fs.readJsonSync('./.jshintrc')
                },
                eslint: {
                    options: {
                        extend: 'airbnb'
                    }
                },
                complexity: {
                    logicalor: true,
                    switchcase: true,
                    forin: true,
                    trycatch: false,
                    newmi: true
                }
            }, function() {
                done();
            });
        });
    };
}
